diff --git a/es-configs/tools-gamelist.xml b/es-configs/tools-gamelist.xml
index 54703d28..fdc32034 100644
--- a/es-configs/tools-gamelist.xml
+++ b/es-configs/tools-gamelist.xml
@@ -77,4 +77,11 @@
true
true
+
+ ./clean-miximages.sh
+ Clean MixImages
+ Clean the MixImages in order to beautify the new theme. This is needed if you got scraped data since v0.4.2 or earlier.
+ true
+ true
+
diff --git a/tools/clean-miximages.sh b/tools/clean-miximages.sh
new file mode 100644
index 00000000..813342f1
--- /dev/null
+++ b/tools/clean-miximages.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+zenity \
+--icon-name=net.retrodeck.retrodeck \
+--question \
+--no-wrap \
+--window-icon="/app/share/icons/hicolor/scalable/apps/net.retrodeck.retrodeck.svg" \
+--title "RetroDECK" \
+--ok-label "Yes" \
+--cancel-label "No" \
+--text="This tool is will clean the MixImages in order to beautify the theme.\nDo you want to delete them?"
+
+if [ $? == 0 ] #yes - Internal
+then
+ find ~/retrodeck/.downloaded_media -name miximages -type d -print0|xargs -0 rm -rfv --
+fi
\ No newline at end of file